GET api/medistreamprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"id": "f08d51af-62ca-4aca-be31-79fae1162e9e",
"program_id": "edce8815-9b14-4150-aef3-57d422bd124b",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "8a17b47a-b4d0-4bab-95b8-c904cc9db2fa",
"active": true
},
{
"id": "f08d51af-62ca-4aca-be31-79fae1162e9e",
"program_id": "edce8815-9b14-4150-aef3-57d422bd124b",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "8a17b47a-b4d0-4bab-95b8-c904cc9db2fa",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOfmedistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>f08d51af-62ca-4aca-be31-79fae1162e9e</id>
<medistream_program_step_type_id>8a17b47a-b4d0-4bab-95b8-c904cc9db2fa</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>edce8815-9b14-4150-aef3-57d422bd124b</program_id>
</medistream_program_step>
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>f08d51af-62ca-4aca-be31-79fae1162e9e</id>
<medistream_program_step_type_id>8a17b47a-b4d0-4bab-95b8-c904cc9db2fa</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>edce8815-9b14-4150-aef3-57d422bd124b</program_id>
</medistream_program_step>
</ArrayOfmedistream_program_step>